Name:           lbzip2
Version:        2.1
Release:        1
Summary:        Fast, multi-threaded bzip2 utility
Group:          Applications/File
License:        GPLv2+
URL:            http://lacos.hu/
Source0:        http://lacos.web.elte.hu/pub/%{name}/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  bzip2 >= 1.0.2
Requires:       bzip2 >= 1.0.2


%description
lbzip2 is a multi-threaded implementation of bzip2, suited for serial and
parallel processing.  On a multi-core computer, lbzip2 is commonly the fastest
bzip2 decompressor for most bz2 files found on the internet.  (On dual-core
computers, the 7za utility from the p7zip package may prove more efficient.)

lbzip2 integrates nicely with GNU tar. Even on single-core computers, lbzip2
can speed up archiving in combination with tar, because lbzip2 allows
compression to overlap with disk usage to a greater extent than bzip2 does.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog* NEWS README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Nov 24 2011 Michael Perzl <michael@perzl.org> - 2.1-1
- updated to version 2.1

* Mon Nov 07 2011 Michael Perzl <michael@perzl.org> - 0.23-1
- first version for AIX V5.1 and higher
